<?php
    if(empty($slideshow) || empty($slideshow['slides']) || !is_array($slideshow['slides']))
        return;
?>
<div id="slideshow">
    <div id="green_bar_body" style="height:100%;">
        <div class="main_block">
                        <div id="slider">
                                <ul>
                                    <?php
                                        if($slideshow['slides'])
                                            foreach($slideshow['slides'] as $k=>$v)
                                            {
                                                list($width, $height, $type, $attr) = getimagesize('.'.$v['file_path']);
                                                echo '<li><a href="'.$v['link'].'" target="_blank"><img src="'.$v['file_path'].'" '.$attr.' alt="'.$v['name'].'" /></a></li>';
                                            }
                                    ?>
                                </ul>
                        </div>
        </div>
    </div>
</div>